/**
 * 
 */
package org.richfaces.ui.component;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import javax.faces.context.ResponseWriter;

import org.ajax4jsf.renderkit.RendererUtils.HTML;

/**
 * @author asmirnov
 *
 */
public class DummyHighLight implements Highlight {

	/* (non-Javadoc)
	 * @see org.richfaces.ui.component.Highlight#highlight(java.lang.String, java.io.InputStream, java.io.OutputStream, java.lang.String, boolean)
	 */
	public void highlight(String name, InputStream in, ResponseWriter out,
			String encoding) throws IOException {
		out.startElement("pre",null);
		InputStreamReader reader;
		if (null != encoding) {
			reader = new InputStreamReader(in, encoding);
		} else {
			reader = new InputStreamReader(in);
		}
		char[] temp = new char[1024];
			int bytes;
			while ((bytes = reader.read(temp)) > 0) {
				out.writeText(temp, 0, bytes);
			}
		out.endElement("pre");
	}


}
